Skip to content

Abuse

All operations require authentication.

12 operationsv1/ip/{ip}
Agent setup

List hack blocksProduction

GET
/1.0/ip/{ip}/antihack

List hack blocks. Returns the addresses of the block blocked for outgoing attacks, filterable by state.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

state
BlockedIpStateEnum

Filter the value of state property (=)

Valuesblockedunblocking

Response

200ipv4[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/antihack \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

List ARP blocksProduction

GET
/1.0/ip/{ip}/arp

List ARP blocks. Returns the addresses of the block blocked for ARP spoofing, filterable by state: blocked or unblocking.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

state
ArpStateEnum

Filter the value of state property (=)

Valuesblockedunblocking

Response

200ipv4[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/arp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

List spam blocksProduction

GET
/1.0/ip/{ip}/spam

List spam blocks. Returns the addresses of the block blocked for sending spam, filterable by state: blockedForSpam, unblocked or unblocking.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

state
SpamStateEnum

Filter the value of state property (=)

ValuesblockedForSpamunblockedunblocking

Response

200ipv4[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/spam \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "192.0.2.0"]

List spam statisticsProduction

GET
/1.0/ip/{ip}/spam/{ipSpamming}/stats

List spam statistics. Returns emails sent, spams detected and average spam score over the given period.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipSpamming
required
ipv4

IP address which is sending spam

Query parameters

from
required
stringdate-time

Start date

to
required
stringdate-time

End date

Response

200SpamStats[]successful operation
averageSpamscore
integer

Average spam score.

detectedSpams
SpamTarget[]

Detailed list of the spams

numberOfSpams
integer

Number of spams sent

timestamp
integer

Time when the IP address was blocked

total
integer

Number of emails sent

Example uses ip = 192.0.2.0/24, ipSpamming = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/spam/{ipSpamming}/stats \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "averageSpamscore": 0, "detectedSpams": [ { "date": 0, "destinationIp": "192.0.2.0", "messageId": "string", "spamscore": 0 } ], "numberOfSpams": 0, "timestamp": 0, "total": 0 }]

List phishing reportsProduction

GET
/1.0/ip/{ip}/phishing

List phishing reports. Returns the IDs of phishing URLs found on the block, filterable by address or state.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Query parameters

ipOnAntiphishing
ipv4

Filter the value of ipOnAntiphishing property (within or equals)

state
AntiphishingStateEnum

Filter the value of state property (=)

Valuesblockedblockingunblockedunblocking

Response

200integer[]successful operation

Example uses ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/phishing \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a hack blockProduction

GET
/1.0/ip/{ip}/antihack/{ipBlocked}

Get a hack block. Returns the block date, logs, state, and the seconds left before you can ask to unblock.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipBlocked
required
ipv4

your IP

Response

200BlockedIpsuccessful operation
blockedSince
read-only
stringdate-time

The last blocking date

ipBlocked
read-only
ipv4

your IP

logs
read-only
string

Logs

state
read-only
BlockedIpStateEnum

this IP address state

Valuesblockedunblocking
time
read-only
integer

Time (in seconds) remaining before you can request your IP to be unblocked

Example uses ip = 192.0.2.0/24, ipBlocked = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/antihack/{ipBlocked} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "blockedSince": "2024-01-01T12:00:00Z", "ipBlocked": "192.0.2.0", "logs": "string", "state": "blocked", "time": 0}

Get an ARP blockProduction

GET
/1.0/ip/{ip}/arp/{ipBlocked}

Get an ARP block. Returns the block date, ARP logs, and the seconds left before you can ask to unblock.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipBlocked
required
ipv4

your IP

Response

200ArpBlockedIpsuccessful operation
blockedSince
read-only
stringdate-time

The last blocking date

ipBlocked
read-only
ipv4

your IP

logs
read-only
string

ARP logs

state
read-only
ArpStateEnum

this IP address state

Valuesblockedunblocking
time
read-only
integer

Time (in seconds) remaining before you can request your IP to be unblocked

Example uses ip = 192.0.2.0/24, ipBlocked = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/arp/{ipBlocked} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "blockedSince": "2024-01-01T12:00:00Z", "ipBlocked": "192.0.2.0", "logs": "string", "state": "blocked", "time": 0}

Get a spam blockProduction

GET
/1.0/ip/{ip}/spam/{ipSpamming}

Get a spam block. Returns the last block date, the state, and how long, in seconds, the address stays blocked.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipSpamming
required
ipv4

IP address which is sending spam

Response

200SpamIpsuccessful operation
date
read-only
stringdate-time

Last date the ip was blocked

ipSpamming
read-only
ipv4

IP address which is sending spam

state
read-only
SpamStateEnum

Current state of the ip

ValuesblockedForSpamunblockedunblocking
time
read-only
integer

Time (in seconds) while the IP will be blocked

Example uses ip = 192.0.2.0/24, ipSpamming = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/spam/{ipSpamming} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "ipSpamming": "192.0.2.0", "state": "blockedForSpam", "time": 0}

Get a phishing reportProduction

GET
/1.0/ip/{ip}/phishing/{id}

Get a phishing report. Returns the phishing URL, the address hosting it, the date of the event and its state.

Path parameters

id
required
integer

Internal ID of the phishing entry

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

Response

200Antiphishingsuccessful operation
creationDate
read-only
stringdate-time

Date of the event

id
read-only
integer

Internal ID of the phishing entry

ipOnAntiphishing
read-only
ipv4

IP address hosting the phishing URL

state
read-only
AntiphishingStateEnum

Current state of the phishing

Valuesblockedblockingunblockedunblocking
urlPhishing
read-only
string

Phishing URL

Example uses id = 0, ip = 192.0.2.0/24

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/phishing/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "id": 0, "ipOnAntiphishing": "192.0.2.0", "state": "blocked", "urlPhishing": "string"}

Lift a hack blockProduction

POST
/1.0/ip/{ip}/antihack/{ipBlocked}/unblock

Lift a hack block. Unblocks the address once the waiting time is over. Get the hack block to see the seconds left.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipBlocked
required
ipv4

your IP

Response

200—successful operation

Example uses ip = 192.0.2.0/24, ipBlocked = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/antihack/{ipBlocked}/unblock \
  -H "authorization: Bearer $OVH_TOKEN"

Lift an ARP blockProduction

POST
/1.0/ip/{ip}/arp/{ipBlocked}/unblock

Lift an ARP block. Unblocks the address once the waiting time is over. Get the ARP block to see the seconds left.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipBlocked
required
ipv4

your IP

Response

200—successful operation

Example uses ip = 192.0.2.0/24, ipBlocked = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/arp/{ipBlocked}/unblock \
  -H "authorization: Bearer $OVH_TOKEN"

Lift a spam blockProduction

POST
/1.0/ip/{ip}/spam/{ipSpamming}/unblock

Lift a spam block. Releases the address from the anti-spam system, and returns the spam block of the address.

Path parameters

ip
required
ipBlock

IP (v4 or v6) CIDR notation (e.g., 192.0.2.0/24)

ipSpamming
required
ipv4

IP address which is sending spam

Response

200SpamIpsuccessful operation
date
read-only
stringdate-time

Last date the ip was blocked

ipSpamming
read-only
ipv4

IP address which is sending spam

state
read-only
SpamStateEnum

Current state of the ip

ValuesblockedForSpamunblockedunblocking
time
read-only
integer

Time (in seconds) while the IP will be blocked

Example uses ip = 192.0.2.0/24, ipSpamming = 192.0.2.0

$ curl https://api.eu.ovhcloud.com/1.0/ip/{ip}/spam/{ipSpamming}/unblock \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "date": "2024-01-01T12:00:00Z", "ipSpamming": "192.0.2.0", "state": "blockedForSpam", "time": 0}